<template>
    <div v-if="stateStartScreen">
        <button @click="emitWhatIWantEvent" class="search">What i want</button>

<h1>What's for lunch today</h1>

        <button @click="emitRandomEvent"  class="random">Random meal</button>
    </div>
</template>

<script>
export default {
  name: "StartScreen",
  props: {
    stateStartScreen: { objectType: Boolean, required: true }
  },
  data() {
    return {
     
      
    };
  },
  methods: {
    emitWhatIWantEvent(){
      this.$emit("WhatIWantEvent");
    },
    emitRandomEvent(){
      this.$emit("randomEvent"); 
    }
}
}
</script>

<style scoped></style>
